package healthwatcher.view.command;

import healthwatcher.view.IFacade;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Sets up the Command pattern.
 * 
 * @author  Marcos Dsea
 * @author  Srgio Soares
 * @version 04/09/2006
 * 
 */
public abstract class CommandServlet {

	protected CommandRequest request;
	protected CommandResponse response;
	
	public void setRequest(CommandRequest request)
	{
		this.request = request;
	}
	public void setReponse(CommandResponse response)
	{
		this.response = response;
	}
	
	public CommandResponse getResponse() {
		return response;
	}
	
	public abstract void executeCommand(IFacade receiver) throws Exception;
}
